Export an insight
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/{insight}/export \
--header 'Accept: <accept>' \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/{insight}/export"
headers = {
"Accept": "<accept>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/{insight}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"@context": "/contexts/Error",
"@type": "hydra:Error",
"hydra:title": "An error occurred",
"hydra:description": "exampleField: Syntage score already exists."
}Insights
Insight Export
Export a supported insight for an entity as CSV or XLSX.
Use the same options[...] query parameters supported by the corresponding insight endpoint. Unsupported insight names return 404.
GET
/
entities
/
{entityId}
/
insights
/
{insight}
/
export
Export an insight
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Headers
Export format to return
Available options:
text/csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet Response
Insight export
The response is of type string.
Was this page helpful?
⌘I